2002-08-07  Stephen Clarke <stephen.clarke@superh.com>

	* ld-sh/sh64/abi32.xd: Adjust as type of linker-script-symbols
	is no longer set to object.
	* ld-sh/sh64/abi64.xd, ld-sh/sh64/cmpct1.xd, ld-sh/sh64/crange1.rd,
	ld-sh/sh64/crange2.rd, ld-sh/sh64/crange3-cmpct.rd,
	ld-sh/sh64/crange3-media.rd, ld-sh/sh64/crange3.rd,
	ld-sh/sh64/mix1.xd, ld-sh/sh64/mix2.xd, ld-sh/sh64/shdl32.xd,
	ld-sh/sh64/shdl64.xd: Likewise.


Index: ld/testsuite/ld-sh/sh64/abi32.xd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/abi32.xd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 abi32.xd
*** ld/testsuite/ld-sh/sh64/abi32.xd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/abi32.xd	8 Aug 2002 05:37:15 -0000
*************** SYMBOL TABLE:
*** 43,58 ****
  0+1060 l       \.text	0+ 0x04 plugh
  0+10f8 g       \.data	0+ foobar
  0+10e8 g       \.data	0+ baz
! 0+1100 g     O \.dtors	0+ ___dtors
  0+105c g       \.text	0+ 0x04 xyzzy
! 0+1100 g     O \*ABS\*	0+ __bss_start
! 0+1100 g     O \.ctors	0+ ___ctors_end
  0+10f0 g       \.data	0+ baz2
! 0+1100 g     O \.ctors	0+ ___ctors
  0+1000 g       \.text	0+ 0x04 foo
! 0+1100 g     O \*ABS\*	0+ _edata
! 0+1100 g     O \*ABS\*	0+ _end
  0+1010 g       \.text	0+ 0x04 start
  0+100c g       \.text	0+ 0x04 bar
! 0+80000 g     O \.stack	0+ _stack
! 0+1100 g     O \.dtors	0+ ___dtors_end
--- 43,58 ----
  0+1060 l       \.text	0+ 0x04 plugh
  0+10f8 g       \.data	0+ foobar
  0+10e8 g       \.data	0+ baz
! 0+1100 g       \.dtors	0+ ___dtors
  0+105c g       \.text	0+ 0x04 xyzzy
! 0+1100 g       \*ABS\*	0+ __bss_start
! 0+1100 g       \.ctors	0+ ___ctors_end
  0+10f0 g       \.data	0+ baz2
! 0+1100 g       \.ctors	0+ ___ctors
  0+1000 g       \.text	0+ 0x04 foo
! 0+1100 g       \*ABS\*	0+ _edata
! 0+1100 g       \*ABS\*	0+ _end
  0+1010 g       \.text	0+ 0x04 start
  0+100c g       \.text	0+ 0x04 bar
! 0+80000 g       \.stack	0+ _stack
! 0+1100 g       \.dtors	0+ ___dtors_end
Index: ld/testsuite/ld-sh/sh64/abi64.xd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/abi64.xd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 abi64.xd
*** ld/testsuite/ld-sh/sh64/abi64.xd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/abi64.xd	8 Aug 2002 05:37:15 -0000
*************** SYMBOL TABLE:
*** 42,57 ****
  00000000000010a8 l       \.text	0000000000000000 0x04 plugh
  0000000000001140 g       \.data	0000000000000000 foobar
  0000000000001130 g       \.data	0000000000000000 baz
! 0000000000001148 g     O \.dtors	0000000000000000 ___dtors
  00000000000010a4 g       \.text	0000000000000000 0x04 xyzzy
! 0000000000001148 g     O \*ABS\*	0000000000000000 __bss_start
! 0000000000001148 g     O \.ctors	0000000000000000 ___ctors_end
  0000000000001138 g       \.data	0000000000000000 baz2
! 0000000000001148 g     O \.ctors	0000000000000000 ___ctors
  0000000000001000 g       \.text	0000000000000000 0x04 foo
! 0000000000001148 g     O \*ABS\*	0000000000000000 _edata
! 0000000000001148 g     O \*ABS\*	0000000000000000 _end
  0000000000001018 g       \.text	0000000000000000 0x04 start
  0000000000001014 g       \.text	0000000000000000 0x04 bar
! 0000000000080000 g     O \.stack	0000000000000000 _stack
! 0000000000001148 g     O \.dtors	0000000000000000 ___dtors_end
--- 42,57 ----
  00000000000010a8 l       \.text	0000000000000000 0x04 plugh
  0000000000001140 g       \.data	0000000000000000 foobar
  0000000000001130 g       \.data	0000000000000000 baz
! 0000000000001148 g       \.dtors	0000000000000000 ___dtors
  00000000000010a4 g       \.text	0000000000000000 0x04 xyzzy
! 0000000000001148 g       \*ABS\*	0000000000000000 __bss_start
! 0000000000001148 g       \.ctors	0000000000000000 ___ctors_end
  0000000000001138 g       \.data	0000000000000000 baz2
! 0000000000001148 g       \.ctors	0000000000000000 ___ctors
  0000000000001000 g       \.text	0000000000000000 0x04 foo
! 0000000000001148 g       \*ABS\*	0000000000000000 _edata
! 0000000000001148 g       \*ABS\*	0000000000000000 _end
  0000000000001018 g       \.text	0000000000000000 0x04 start
  0000000000001014 g       \.text	0000000000000000 0x04 bar
! 0000000000080000 g       \.stack	0000000000000000 _stack
! 0000000000001148 g       \.dtors	0000000000000000 ___dtors_end
Index: ld/testsuite/ld-sh/sh64/cmpct1.xd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/cmpct1.xd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 cmpct1.xd
*** ld/testsuite/ld-sh/sh64/cmpct1.xd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/cmpct1.xd	8 Aug 2002 05:37:15 -0000
*************** SYMBOL TABLE:
*** 44,55 ****
  0+1004 l       \.text	0+ next
  0+100c l       \.rodata	0+ here
  0+ l       \*ABS\*	0+ \*ABS\*
! 0+1098 g     O \.dtors	0+ ___dtors
! 0+1098 g     O \*ABS\*	0+ __bss_start
! 0+1098 g     O \.ctors	0+ ___ctors_end
! 0+1098 g     O \.ctors	0+ ___ctors
! 0+1098 g     O \*ABS\*	0+ _edata
! 0+1098 g     O \*ABS\*	0+ _end
  0+1000 g       \.text	0+ start
! 0+80000 g     O \.stack	0+ _stack
! 0+1098 g     O \.dtors	0+ ___dtors_end
--- 44,55 ----
  0+1004 l       \.text	0+ next
  0+100c l       \.rodata	0+ here
  0+ l       \*ABS\*	0+ \*ABS\*
! 0+1098 g       \.dtors	0+ ___dtors
! 0+1098 g       \*ABS\*	0+ __bss_start
! 0+1098 g       \.ctors	0+ ___ctors_end
! 0+1098 g       \.ctors	0+ ___ctors
! 0+1098 g       \*ABS\*	0+ _edata
! 0+1098 g       \*ABS\*	0+ _end
  0+1000 g       \.text	0+ start
! 0+80000 g       \.stack	0+ _stack
! 0+1098 g       \.dtors	0+ ___dtors_end
Index: ld/testsuite/ld-sh/sh64/crange1.rd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/crange1.rd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 crange1.rd
*** ld/testsuite/ld-sh/sh64/crange1.rd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/crange1.rd	8 Aug 2002 05:37:15 -0000
*************** Symbol table '\.symtab' contains 24 entr
*** 38,53 ****
      11: 00000000     0 SECTION LOCAL  DEFAULT   11 
      12: 00000000     0 SECTION LOCAL  DEFAULT   12 
      13: 00001004     0 NOTYPE  LOCAL  DEFAULT    2 start2
!     14: 000010a0     0 OBJECT  GLOBAL DEFAULT    5 ___dtors
!     15: 000010a0     0 OBJECT  GLOBAL DEFAULT  ABS __bss_start
!     16: 000010a0     0 OBJECT  GLOBAL DEFAULT    4 ___ctors_end
      17: 00001004     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     18: 000010a0     0 OBJECT  GLOBAL DEFAULT    4 ___ctors
!     19: 000010a0     0 OBJECT  GLOBAL DEFAULT  ABS _edata
!     20: 000010a0     0 OBJECT  GLOBAL DEFAULT  ABS _end
      21: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     22: 00080000     0 OBJECT  GLOBAL DEFAULT    8 _stack
!     23: 000010a0     0 OBJECT  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.init':
    0x00001000 6ff0fff0                            .*
--- 38,53 ----
      11: 00000000     0 SECTION LOCAL  DEFAULT   11 
      12: 00000000     0 SECTION LOCAL  DEFAULT   12 
      13: 00001004     0 NOTYPE  LOCAL  DEFAULT    2 start2
!     14: 000010a0     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors
!     15: 000010a0     0 NOTYPE  GLOBAL DEFAULT  ABS __bss_start
!     16: 000010a0     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors_end
      17: 00001004     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     18: 000010a0     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors
!     19: 000010a0     0 NOTYPE  GLOBAL DEFAULT  ABS _edata
!     20: 000010a0     0 NOTYPE  GLOBAL DEFAULT  ABS _end
      21: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     22: 00080000     0 NOTYPE  GLOBAL DEFAULT    8 _stack
!     23: 000010a0     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.init':
    0x00001000 6ff0fff0                            .*
Index: ld/testsuite/ld-sh/sh64/crange2.rd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/crange2.rd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 crange2.rd
*** ld/testsuite/ld-sh/sh64/crange2.rd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/crange2.rd	8 Aug 2002 05:37:15 -0000
*************** Symbol table '\.symtab' contains 28 entr
*** 42,57 ****
      15: 0000102c     0 NOTYPE  LOCAL  DEFAULT    2 sec2
      16: 00001040     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      17: 00001048     0 NOTYPE  LOCAL  DEFAULT    2 sec4
!     18: 000010e0     0 OBJECT  GLOBAL DEFAULT    5 ___dtors
!     19: 000010e0     0 OBJECT  GLOBAL DEFAULT  ABS __bss_start
!     20: 000010e0     0 OBJECT  GLOBAL DEFAULT    4 ___ctors_end
      21: 00001004     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 000010e0     0 OBJECT  GLOBAL DEFAULT    4 ___ctors
!     23: 000010e0     0 OBJECT  GLOBAL DEFAULT  ABS _edata
!     24: 000010e0     0 OBJECT  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 OBJECT  GLOBAL DEFAULT    8 _stack
!     27: 000010e0     0 OBJECT  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 0000002a .*
--- 42,57 ----
      15: 0000102c     0 NOTYPE  LOCAL  DEFAULT    2 sec2
      16: 00001040     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      17: 00001048     0 NOTYPE  LOCAL  DEFAULT    2 sec4
!     18: 000010e0     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors
!     19: 000010e0     0 NOTYPE  GLOBAL DEFAULT  ABS __bss_start
!     20: 000010e0     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors_end
      21: 00001004     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 000010e0     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors
!     23: 000010e0     0 NOTYPE  GLOBAL DEFAULT  ABS _edata
!     24: 000010e0     0 NOTYPE  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 NOTYPE  GLOBAL DEFAULT    8 _stack
!     27: 000010e0     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 0000002a .*
Index: ld/testsuite/ld-sh/sh64/crange3-cmpct.rd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/crange3-cmpct.rd,v
retrieving revision 1.2
diff -u -c -3 -p -r1.2 crange3-cmpct.rd
*** ld/testsuite/ld-sh/sh64/crange3-cmpct.rd	11 Feb 2002 07:56:03 -0000	1.2
--- ld/testsuite/ld-sh/sh64/crange3-cmpct.rd	8 Aug 2002 05:37:15 -0000
*************** Symbol table '\.symtab' contains 28 entr
*** 59,74 ****
      15: 000010bc     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      16: 00000000     0 NOTYPE  LOCAL  DEFAULT  ABS \*ABS\*
      17: 000010c4     0 NOTYPE  GLOBAL DEFAULT    2 diversion
!     18: 00001160     0 OBJECT  GLOBAL DEFAULT    5 ___dtors
!     19: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS __bss_start
!     20: 00001160     0 OBJECT  GLOBAL DEFAULT    4 ___ctors_end
      21: 000010a4     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 00001160     0 OBJECT  GLOBAL DEFAULT    4 ___ctors
!     23: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS _edata
!     24: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 OBJECT  GLOBAL DEFAULT    8 _stack
!     27: 00001160     0 OBJECT  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 6ff0fff0 .*
--- 59,74 ----
      15: 000010bc     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      16: 00000000     0 NOTYPE  LOCAL  DEFAULT  ABS \*ABS\*
      17: 000010c4     0 NOTYPE  GLOBAL DEFAULT    2 diversion
!     18: 00001160     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors
!     19: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS __bss_start
!     20: 00001160     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors_end
      21: 000010a4     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 00001160     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors
!     23: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS _edata
!     24: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 NOTYPE  GLOBAL DEFAULT    8 _stack
!     27: 00001160     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 6ff0fff0 .*
Index: ld/testsuite/ld-sh/sh64/crange3-media.rd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/crange3-media.rd,v
retrieving revision 1.2
diff -u -c -3 -p -r1.2 crange3-media.rd
*** ld/testsuite/ld-sh/sh64/crange3-media.rd	11 Feb 2002 07:56:03 -0000	1.2
--- ld/testsuite/ld-sh/sh64/crange3-media.rd	8 Aug 2002 05:37:15 -0000
*************** Symbol table '\.symtab' contains 28 entr
*** 59,74 ****
      15: 000010bc     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      16: 00000000     0 NOTYPE  LOCAL  DEFAULT  ABS \*ABS\*
      17: 000010c4     0 NOTYPE  GLOBAL DEFAULT    2 diversion
!     18: 00001160     0 OBJECT  GLOBAL DEFAULT    5 ___dtors
!     19: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS __bss_start
!     20: 00001160     0 OBJECT  GLOBAL DEFAULT    4 ___ctors_end
      21: 000010a4     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 00001160     0 OBJECT  GLOBAL DEFAULT    4 ___ctors
!     23: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS _edata
!     24: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 OBJECT  GLOBAL DEFAULT    8 _stack
!     27: 00001160     0 OBJECT  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 6ff0fff0 .*
--- 59,74 ----
      15: 000010bc     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      16: 00000000     0 NOTYPE  LOCAL  DEFAULT  ABS \*ABS\*
      17: 000010c4     0 NOTYPE  GLOBAL DEFAULT    2 diversion
!     18: 00001160     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors
!     19: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS __bss_start
!     20: 00001160     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors_end
      21: 000010a4     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 00001160     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors
!     23: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS _edata
!     24: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 NOTYPE  GLOBAL DEFAULT    8 _stack
!     27: 00001160     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 6ff0fff0 .*
Index: ld/testsuite/ld-sh/sh64/crange3.rd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/crange3.rd,v
retrieving revision 1.2
diff -u -c -3 -p -r1.2 crange3.rd
*** ld/testsuite/ld-sh/sh64/crange3.rd	11 Feb 2002 07:56:03 -0000	1.2
--- ld/testsuite/ld-sh/sh64/crange3.rd	8 Aug 2002 05:37:15 -0000
*************** Symbol table '\.symtab' contains 28 entr
*** 40,55 ****
      15: 000010bc     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      16: 00000000     0 NOTYPE  LOCAL  DEFAULT  ABS \*ABS\*
      17: 000010c4     0 NOTYPE  GLOBAL DEFAULT    2 diversion
!     18: 00001160     0 OBJECT  GLOBAL DEFAULT    5 ___dtors
!     19: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS __bss_start
!     20: 00001160     0 OBJECT  GLOBAL DEFAULT    4 ___ctors_end
      21: 000010a4     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 00001160     0 OBJECT  GLOBAL DEFAULT    4 ___ctors
!     23: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS _edata
!     24: 00001160     0 OBJECT  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 OBJECT  GLOBAL DEFAULT    8 _stack
!     27: 00001160     0 OBJECT  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 6ff0fff0 .*
--- 40,55 ----
      15: 000010bc     0 NOTYPE  LOCAL  DEFAULT    2 sec3
      16: 00000000     0 NOTYPE  LOCAL  DEFAULT  ABS \*ABS\*
      17: 000010c4     0 NOTYPE  GLOBAL DEFAULT    2 diversion
!     18: 00001160     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors
!     19: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS __bss_start
!     20: 00001160     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors_end
      21: 000010a4     0 NOTYPE  GLOBAL DEFAULT    2 diversion2
!     22: 00001160     0 NOTYPE  GLOBAL DEFAULT    4 ___ctors
!     23: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS _edata
!     24: 00001160     0 NOTYPE  GLOBAL DEFAULT  ABS _end
      25: 00001000     0 NOTYPE  GLOBAL DEFAULT    1 start
!     26: 00080000     0 NOTYPE  GLOBAL DEFAULT    8 _stack
!     27: 00001160     0 NOTYPE  GLOBAL DEFAULT    5 ___dtors_end
  
  Hex dump of section '\.text':
    0x00001004 6ff0fff0 6ff0fff0 6ff0fff0 6ff0fff0 .*
Index: ld/testsuite/ld-sh/sh64/mix1.xd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/mix1.xd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 mix1.xd
*** ld/testsuite/ld-sh/sh64/mix1.xd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/mix1.xd	8 Aug 2002 05:37:15 -0000
*************** SYMBOL TABLE:
*** 45,56 ****
  0+1004 l       \.text	0+ start2
  0+1030 l       \.text	0+ 0x04 mediacode2
  0+1018 l       \.text	0+ 0x04 mediacode
! 0+10d4 g     O \.dtors	0+ ___dtors
! 0+10d8 g     O \*ABS\*	0+ __bss_start
! 0+10d4 g     O \.ctors	0+ ___ctors_end
! 0+10d4 g     O \.ctors	0+ ___ctors
! 0+10d8 g     O \*ABS\*	0+ _edata
! 0+10d8 g     O \*ABS\*	0+ _end
  0+1000 g       \.text	0+ start
! 0+80000 g     O \.stack	0+ _stack
! 0+10d4 g     O \.dtors	0+ ___dtors_end
--- 45,56 ----
  0+1004 l       \.text	0+ start2
  0+1030 l       \.text	0+ 0x04 mediacode2
  0+1018 l       \.text	0+ 0x04 mediacode
! 0+10d4 g       \.dtors	0+ ___dtors
! 0+10d8 g       \*ABS\*	0+ __bss_start
! 0+10d4 g       \.ctors	0+ ___ctors_end
! 0+10d4 g       \.ctors	0+ ___ctors
! 0+10d8 g       \*ABS\*	0+ _edata
! 0+10d8 g       \*ABS\*	0+ _end
  0+1000 g       \.text	0+ start
! 0+80000 g       \.stack	0+ _stack
! 0+10d4 g       \.dtors	0+ ___dtors_end
Index: ld/testsuite/ld-sh/sh64/mix2.xd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/mix2.xd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 mix2.xd
*** ld/testsuite/ld-sh/sh64/mix2.xd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/mix2.xd	8 Aug 2002 05:37:15 -0000
*************** SYMBOL TABLE:
*** 52,65 ****
  0+1024 g       \.text	0+ compactlabel2
  0+1028 g       \.text	0+ compactlabel3
  0+1010 g       \.text	0+ 0x04 medialabel1
! 0+10d8 g     O \.dtors	0+ ___dtors
  0+10cc g       \.data	0+ medialabel4
! 0+10d8 g     O \*ABS\*	0+ __bss_start
! 0+10d8 g     O \.ctors	0+ ___ctors_end
  0+10d4 g       \.data	0+ compactlabel5
! 0+10d8 g     O \.ctors	0+ ___ctors
! 0+10d8 g     O \*ABS\*	0+ _edata
! 0+10d8 g     O \*ABS\*	0+ _end
  0+1000 g       \.text	0+ 0x04 start
! 0+80000 g     O \.stack	0+ _stack
! 0+10d8 g     O \.dtors	0+ ___dtors_end
--- 52,65 ----
  0+1024 g       \.text	0+ compactlabel2
  0+1028 g       \.text	0+ compactlabel3
  0+1010 g       \.text	0+ 0x04 medialabel1
! 0+10d8 g       \.dtors	0+ ___dtors
  0+10cc g       \.data	0+ medialabel4
! 0+10d8 g       \*ABS\*	0+ __bss_start
! 0+10d8 g       \.ctors	0+ ___ctors_end
  0+10d4 g       \.data	0+ compactlabel5
! 0+10d8 g       \.ctors	0+ ___ctors
! 0+10d8 g       \*ABS\*	0+ _edata
! 0+10d8 g       \*ABS\*	0+ _end
  0+1000 g       \.text	0+ 0x04 start
! 0+80000 g       \.stack	0+ _stack
! 0+10d8 g       \.dtors	0+ ___dtors_end
Index: ld/testsuite/ld-sh/sh64/shdl32.xd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/shdl32.xd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 shdl32.xd
*** ld/testsuite/ld-sh/sh64/shdl32.xd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/shdl32.xd	8 Aug 2002 05:37:15 -0000
*************** SYMBOL TABLE:
*** 86,92 ****
  0+14e0 g       \.data	0+ dbar_mixboth2
  0+14ec g       \.data	0+ dbaz
  0+1524 g       \.data	0+ dbaz_mix
! 0+155c g     O \.dtors	0+ ___dtors
  0+141c g       \.data	0+ dfoo_mixboth2
  0+119c g       \.text	0+ 0x04 bazboth
  0+13f0 g       \.data	0+ dfoo_other
--- 86,92 ----
  0+14e0 g       \.data	0+ dbar_mixboth2
  0+14ec g       \.data	0+ dbaz
  0+1524 g       \.data	0+ dbaz_mix
! 0+155c g       \.dtors	0+ ___dtors
  0+141c g       \.data	0+ dfoo_mixboth2
  0+119c g       \.text	0+ 0x04 bazboth
  0+13f0 g       \.data	0+ dfoo_other
*************** SYMBOL TABLE:
*** 95,122 ****
  0+1164 g       \.text	0+ 0x04 barboth2
  0+1168 g       \.text	0+ 0x04 barwithout
  0+14d8 g       \.data	0+ dbar_mix2
! 0+1560 g     O \*ABS\*	0+ __bss_start
  0+1410 g       \.data	0+ dfoo_mixboth
  0+14c4 g       \.data	0+ dbar_other
  0+1180 g       \.text	0+ 0x04 bar_mix2
  0+14f4 g       \.data	0+ dbazboth
  0+1038 g       \.text	0+ 0x04 foo_otherwithout
  0+1190 g       \.text	0+ 0x04 bar_mixwithout2
! 0+155c g     O \.ctors	0+ ___ctors_end
  0+1064 g       \.text	0+ 0x04 foo_mixwithout
  0+116c g       \.text	0+ 0x04 bar_other
  0+13d0 g       \.data	0+ dfooboth
  0+1034 g       \.text	0+ 0x04 foo_otherboth2
  0+1400 g       \.data	0+ dfoo_mix
! 0+155c g     O \.ctors	0+ ___ctors
  0+14d4 g       \.data	0+ dbar_mix
  0+100c g       \.text	0+ 0x04 fooboth
  0+1170 g       \.text	0+ 0x04 bar_otherboth
  0+14c0 g       \.data	0+ dbarwithout
  0+1004 g       \.text	0+ 0x04 foo
  0+102c g       \.text	0+ 0x04 foo_other
! 0+1560 g     O \*ABS\*	0+ _edata
! 0+1560 g     O \*ABS\*	0+ _end
  0+1430 g       \.data	0+ dfoo_mixwithout2
  0+1058 g       \.text	0+ 0x04 foo_mixboth2
  0+11d4 g       \.text	0+ 0x04 baz_mix2
--- 95,122 ----
  0+1164 g       \.text	0+ 0x04 barboth2
  0+1168 g       \.text	0+ 0x04 barwithout
  0+14d8 g       \.data	0+ dbar_mix2
! 0+1560 g       \*ABS\*	0+ __bss_start
  0+1410 g       \.data	0+ dfoo_mixboth
  0+14c4 g       \.data	0+ dbar_other
  0+1180 g       \.text	0+ 0x04 bar_mix2
  0+14f4 g       \.data	0+ dbazboth
  0+1038 g       \.text	0+ 0x04 foo_otherwithout
  0+1190 g       \.text	0+ 0x04 bar_mixwithout2
! 0+155c g       \.ctors	0+ ___ctors_end
  0+1064 g       \.text	0+ 0x04 foo_mixwithout
  0+116c g       \.text	0+ 0x04 bar_other
  0+13d0 g       \.data	0+ dfooboth
  0+1034 g       \.text	0+ 0x04 foo_otherboth2
  0+1400 g       \.data	0+ dfoo_mix
! 0+155c g       \.ctors	0+ ___ctors
  0+14d4 g       \.data	0+ dbar_mix
  0+100c g       \.text	0+ 0x04 fooboth
  0+1170 g       \.text	0+ 0x04 bar_otherboth
  0+14c0 g       \.data	0+ dbarwithout
  0+1004 g       \.text	0+ 0x04 foo
  0+102c g       \.text	0+ 0x04 foo_other
! 0+1560 g       \*ABS\*	0+ _edata
! 0+1560 g       \*ABS\*	0+ _end
  0+1430 g       \.data	0+ dfoo_mixwithout2
  0+1058 g       \.text	0+ 0x04 foo_mixboth2
  0+11d4 g       \.text	0+ 0x04 baz_mix2
*************** SYMBOL TABLE:
*** 125,136 ****
  0+14bc g       \.data	0+ dbarboth2
  0+118c g       \.text	0+ 0x04 bar_mixwithout
  0+115c g       \.text	0+ 0x04 bar
! 0+80000 g     O \.stack	0+ _stack
  0+1520 g       \.data	0+ dbaz_otherwithout
  0+11f4 g       \.text	0+ 0x04 baz_mixwithout
  0+1160 g       \.text	0+ 0x04 barboth
  0+14b8 g       \.data	0+ dbarboth
  0+1188 g       \.text	0+ 0x04 bar_mixboth2
! 0+155c g     O \.dtors	0+ ___dtors_end
  0+151c g       \.data	0+ dbaz_otherboth2
  0+1500 g       \.data	0+ dbazboth2
--- 125,136 ----
  0+14bc g       \.data	0+ dbarboth2
  0+118c g       \.text	0+ 0x04 bar_mixwithout
  0+115c g       \.text	0+ 0x04 bar
! 0+80000 g       \.stack	0+ _stack
  0+1520 g       \.data	0+ dbaz_otherwithout
  0+11f4 g       \.text	0+ 0x04 baz_mixwithout
  0+1160 g       \.text	0+ 0x04 barboth
  0+14b8 g       \.data	0+ dbarboth
  0+1188 g       \.text	0+ 0x04 bar_mixboth2
! 0+155c g       \.dtors	0+ ___dtors_end
  0+151c g       \.data	0+ dbaz_otherboth2
  0+1500 g       \.data	0+ dbazboth2
Index: ld/testsuite/ld-sh/sh64/shdl64.xd
===================================================================
RCS file: /cvs/src/src/ld/testsuite/ld-sh/sh64/shdl64.xd,v
retrieving revision 1.1
diff -u -c -3 -p -r1.1 shdl64.xd
*** ld/testsuite/ld-sh/sh64/shdl64.xd	8 Feb 2002 06:49:58 -0000	1.1
--- ld/testsuite/ld-sh/sh64/shdl64.xd	8 Aug 2002 05:37:15 -0000
*************** SYMBOL TABLE:
*** 86,92 ****
  0+14e0 g       \.data	0+ dbar_mixboth2
  0+14ec g       \.data	0+ dbaz
  0+1524 g       \.data	0+ dbaz_mix
! 0+155c g     O \.dtors	0+ ___dtors
  0+141c g       \.data	0+ dfoo_mixboth2
  0+119c g       \.text	0+ 0x04 bazboth
  0+13f0 g       \.data	0+ dfoo_other
--- 86,92 ----
  0+14e0 g       \.data	0+ dbar_mixboth2
  0+14ec g       \.data	0+ dbaz
  0+1524 g       \.data	0+ dbaz_mix
! 0+155c g       \.dtors	0+ ___dtors
  0+141c g       \.data	0+ dfoo_mixboth2
  0+119c g       \.text	0+ 0x04 bazboth
  0+13f0 g       \.data	0+ dfoo_other
*************** SYMBOL TABLE:
*** 95,122 ****
  0+1164 g       \.text	0+ 0x04 barboth2
  0+1168 g       \.text	0+ 0x04 barwithout
  0+14d8 g       \.data	0+ dbar_mix2
! 0+1560 g     O \*ABS\*	0+ __bss_start
  0+1410 g       \.data	0+ dfoo_mixboth
  0+14c4 g       \.data	0+ dbar_other
  0+1180 g       \.text	0+ 0x04 bar_mix2
  0+14f4 g       \.data	0+ dbazboth
  0+1038 g       \.text	0+ 0x04 foo_otherwithout
  0+1190 g       \.text	0+ 0x04 bar_mixwithout2
! 0+155c g     O \.ctors	0+ ___ctors_end
  0+1064 g       \.text	0+ 0x04 foo_mixwithout
  0+116c g       \.text	0+ 0x04 bar_other
  0+13d0 g       \.data	0+ dfooboth
  0+1034 g       \.text	0+ 0x04 foo_otherboth2
  0+1400 g       \.data	0+ dfoo_mix
! 0+155c g     O \.ctors	0+ ___ctors
  0+14d4 g       \.data	0+ dbar_mix
  0+100c g       \.text	0+ 0x04 fooboth
  0+1170 g       \.text	0+ 0x04 bar_otherboth
  0+14c0 g       \.data	0+ dbarwithout
  0+1004 g       \.text	0+ 0x04 foo
  0+102c g       \.text	0+ 0x04 foo_other
! 0+1560 g     O \*ABS\*	0+ _edata
! 0+1560 g     O \*ABS\*	0+ _end
  0+1430 g       \.data	0+ dfoo_mixwithout2
  0+1058 g       \.text	0+ 0x04 foo_mixboth2
  0+11d4 g       \.text	0+ 0x04 baz_mix2
--- 95,122 ----
  0+1164 g       \.text	0+ 0x04 barboth2
  0+1168 g       \.text	0+ 0x04 barwithout
  0+14d8 g       \.data	0+ dbar_mix2
! 0+1560 g       \*ABS\*	0+ __bss_start
  0+1410 g       \.data	0+ dfoo_mixboth
  0+14c4 g       \.data	0+ dbar_other
  0+1180 g       \.text	0+ 0x04 bar_mix2
  0+14f4 g       \.data	0+ dbazboth
  0+1038 g       \.text	0+ 0x04 foo_otherwithout
  0+1190 g       \.text	0+ 0x04 bar_mixwithout2
! 0+155c g       \.ctors	0+ ___ctors_end
  0+1064 g       \.text	0+ 0x04 foo_mixwithout
  0+116c g       \.text	0+ 0x04 bar_other
  0+13d0 g       \.data	0+ dfooboth
  0+1034 g       \.text	0+ 0x04 foo_otherboth2
  0+1400 g       \.data	0+ dfoo_mix
! 0+155c g       \.ctors	0+ ___ctors
  0+14d4 g       \.data	0+ dbar_mix
  0+100c g       \.text	0+ 0x04 fooboth
  0+1170 g       \.text	0+ 0x04 bar_otherboth
  0+14c0 g       \.data	0+ dbarwithout
  0+1004 g       \.text	0+ 0x04 foo
  0+102c g       \.text	0+ 0x04 foo_other
! 0+1560 g       \*ABS\*	0+ _edata
! 0+1560 g       \*ABS\*	0+ _end
  0+1430 g       \.data	0+ dfoo_mixwithout2
  0+1058 g       \.text	0+ 0x04 foo_mixboth2
  0+11d4 g       \.text	0+ 0x04 baz_mix2
*************** SYMBOL TABLE:
*** 125,136 ****
  0+14bc g       \.data	0+ dbarboth2
  0+118c g       \.text	0+ 0x04 bar_mixwithout
  0+115c g       \.text	0+ 0x04 bar
! 0+80000 g     O \.stack	0+ _stack
  0+1520 g       \.data	0+ dbaz_otherwithout
  0+11f4 g       \.text	0+ 0x04 baz_mixwithout
  0+1160 g       \.text	0+ 0x04 barboth
  0+14b8 g       \.data	0+ dbarboth
  0+1188 g       \.text	0+ 0x04 bar_mixboth2
! 0+155c g     O \.dtors	0+ ___dtors_end
  0+151c g       \.data	0+ dbaz_otherboth2
  0+1500 g       \.data	0+ dbazboth2
--- 125,136 ----
  0+14bc g       \.data	0+ dbarboth2
  0+118c g       \.text	0+ 0x04 bar_mixwithout
  0+115c g       \.text	0+ 0x04 bar
! 0+80000 g       \.stack	0+ _stack
  0+1520 g       \.data	0+ dbaz_otherwithout
  0+11f4 g       \.text	0+ 0x04 baz_mixwithout
  0+1160 g       \.text	0+ 0x04 barboth
  0+14b8 g       \.data	0+ dbarboth
  0+1188 g       \.text	0+ 0x04 bar_mixboth2
! 0+155c g       \.dtors	0+ ___dtors_end
  0+151c g       \.data	0+ dbaz_otherboth2
  0+1500 g       \.data	0+ dbazboth2
